[DEFAULT]
debug = false
# Uncomment and replace with the address which should receive any error reports
#email_to = you@yourdomain.com
smtp_server = localhost
error_email_from = paste@localhost

[server:main]
use = egg:Paste#http
host = 0.0.0.0
port = 5000


[app:main]
use = config:../../src/ckan/test-core.ini
#use = config:./ckan/test-core.ini
# Here we hard-code the database and a flag to make default tests
# run fast.
faster_db_test_hacks = True
#sqlalchemy.url = sqlite:///
# NB: other test configuration should go in test-core.ini, which is
#     what the postgres tests use.

ckan.site_id = ckanext.oauth2.test
ckan.site_url = http://localhost

ckan.cache_validation_enabled = True
ckan.cache_enabled = False
ckan.tests.functional.test_cache.expires = 1800
ckan.tests.functional.test_cache.TestCacheBasics.test_get_cache_expires.expires = 3600

ckan.plugins = oauth2

## OAuth2 configuration
ckan.oauth2.register_url = https://account.lab.fiware.org/sign_up
ckan.oauth2.reset_url = https://account.lab.fiware.org/password/request
ckan.oauth2.edit_url = https://account.lab.fiware.org/settings
ckan.oauth2.authorization_endpoint = https://account.lab.fiware.org/oauth2/authorize
ckan.oauth2.token_endpoint = https://account.lab.fiware.org/oauth2/token
ckan.oauth2.profile_api_url = https://account.lab.fiware.org/user
ckan.oauth2.client_id = 361020fd7cf64456890dd98da88e64f3
ckan.oauth2.client_secret = edf713bf8a2344139f46a757fadae24f
ckan.oauth2.scope = all_info
ckan.oauth2.rememberer_name = auth_tkt
ckan.oauth2.profile_api_user_field = id
ckan.oauth2.profile_api_fullname_field = displayName
ckan.oauth2.profile_api_mail_field = email
ckan.oauth2.authorization_header = X-Auth-Token
ckan.oauth2.legacy_idm = True


#who.config_file = %(here)s/who-fiware.ini

# Avoid legacy templates
ckan.legacy_templates = no

# Logging configuration
[loggers]
keys = root, ckan, ckanext, sqlalchemy

[handlers]
keys = console

[formatters]
keys = generic

[logger_root]
level = WARN
handlers = console

[logger_ckan]
qualname = ckan
handlers = console
level = INFO
propagate = 0

[logger_ckanext]
qualname = ckanext
handlers = console
level = DEBUG
propagate = 0

[logger_sqlalchemy]
handlers = console
qualname = sqlalchemy.engine
level = WARN

[handler_console]
class = StreamHandler
args = (sys.stdout,)
level = NOTSET
formatter = generic

[formatter_generic]
format = %(asctime)s %(levelname)-5.5s [%(name)s] %(message)s
